#ifndef _FD_DMI_H_
#define _FD_DMI_H_

#include <glib.h>

G_BEGIN_DECLS

typedef enum
{
    FD_CHASSIS_TYPE_UNKNOWN = -1,
    FD_CHASSIS_TYPE_OTHER,
    FD_CHASSIS_TYPE_DESKTOP,
    FD_CHASSIS_TYPE_MINI_TOWER,
    FD_CHASSIS_TYPE_TOWER,
    FD_CHASSIS_TYPE_PROTABLE,
    FD_CHASSIS_TYPE_LAPTOP,
    FD_CHASSIS_TYPE_NOTEBOOK,
    FD_CHASSIS_TYPE_HAND_HELD,
    FD_CHASSIS_TYPE_ALL_IN_ONE,
    FD_CHASSIS_TYPE_SUB_NOTEBOOK,
    FD_CHASSIS_TYPE_MAIN_SERVER,
    FD_CHASSIS_TYPE_RACK_MOUNT,
    FD_CHASSIS_TYPE_BLADE,
    FD_CHASSIS_TYPE_BLADE_ENCLOSING,
    FD_CHASSIS_TYPE_TABLET,
    FD_CHASSIS_TYPE_EMBEDDED_PC,
    FD_CHASSIS_TYPE_MINI_PC
} FdChassisType;

FdChassisType
fd_dmi_get_chassis_type (void);

G_END_DECLS

#endif //_FD_DMI_H_
